BearSSL

Data Fields
br_sslrec_out_cbc_context Struct Reference

Context structure for encrypting outgoing records with CBC + HMAC. More...

`#include <bearssl_ssl.h>`

## Data Fields
const br_sslrec_out_cbc_class * | vtable
| Pointer to vtable. More...

## Detailed Description

Context structure for encrypting outgoing records with CBC + HMAC.

The first field points to the vtable. The other fields are opaque and shall not be accessed directly.

## Field Documentation

## ◆ vtable

const br_sslrec_out_cbc_class* br_sslrec_out_cbc_context::vtable

Pointer to vtable.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h